<?php
/**
 * Installation File
 * Performs some extra tasks when installing the component
 *
 * @package    FrontpagePlus
 * @version    0.1.0
 * @since      File available since Release 0.1.0
 *
 * @author     Peter van Westen <peter@nonumber.nl>
 * @link       http://www.nonumber.nl/frontpageplus
 * @copyright  Copyright (C) 2009 NoNumber! All Rights Reserved
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Copy modal files
$_from	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_frontpageplus'.DS.'models'.DS.'frontpageplus.php';
$_to	= JPATH_SITE.DS.'components'.DS.'com_content'.DS.'models'.DS.'frontpageplus.php';
JFile::copy( $_from, $_to );

// Copy view files
$_from	= JPATH_ADMINISTRATOR.DS.'components'.DS.'com_frontpageplus'.DS.'views'.DS.'frontpageplus';
$_to	= JPATH_SITE.DS.'components'.DS.'com_content'.DS.'views'.DS.'frontpageplus';
JFolder::copy( $_from, $_to, '', 1 );